Bug 184606 - subpackage libxmms so xmms doesn't need to be installed for mplayer
subpackage libxmms so xmms doesn't need to be installed for mplayer
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-03-10 01:48 EST by Jens Petersen
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: xmms-1.2.10-23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-13 09:35:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2006-03-10 01:48:30 EST
Description of problem:
Would it be possible to separate libxmms.so.1 from xmms into a separate
subpackage so that mplayer can be installed (it requires libxmms.so.1
apparently) without xmms being installed?

Steps to Reproduce:
1. Install mplayer.
Actual results:
1. xmms gets installed.

Expected results:
1. only xmms-lib getting installed.
Comment 1 Matthias Saou 2006-03-10 05:07:12 EST
- I personally consider xmms dead and don't really want to make any more major
  changes to the package.
- The MPlayer package you're referring to is definitely not mine from
  freshrpms.net, since I've removed xmms support for a while (starting with
  FC4). Nobody complained.

You'd probably be better off asking the maintainer of the MPlayer package
you're using to drop the xmms dependency...
Comment 2 Jens Petersen 2006-03-10 08:14:43 EST
Okay fair enough - that would be the livna package.  Thanks.
Comment 3 Jens Petersen 2006-04-06 06:37:57 EDT

Seems we have a stalemate here... they seen to prefer to include libxmms
support in mplayer.
Comment 4 Matthias Saou 2006-04-06 06:50:03 EDT
Hmmmm... I definitely don't share Ville's view about the need for MOD playback
in MPlayer. In years of packaing MPlayer, I've never had a single request to
have the xmms support enabled by default (it's optional, requiring a rebuild, in
my packages). Are there any video files with MOD audio tracks? Because really,
MPlayer is called "Movie Player" for a reason, it's no Rhythmbox or even Totem...

Anyway... I really wish xmms would finally get to die in peace :-)
Comment 5 Ville Skyttä 2006-04-06 12:01:49 EDT
In some setups (for example set-top-boxes based on VDR which happens to be the
setup where multimedia support matters for me personally most), MPlayer is just
about the only practical way to play anything other than very basic/common media
types, not limited to video.

Everyone chooses whether they care about such setups or not (and MOD support in
them, or any other $mediatype support), but splitting libxmms from the xmms
package would solve the only complaint based on real world problems I've heard
about the integration: folks unexpectedly getting media types associated to xmms
through its desktop entry when installing the livna MPlayer package.
Comment 6 Ville Skyttä 2006-04-06 12:11:05 EDT
Matthias, if you don't want to spend time implementing the split, I can send a
patch for it.  And if you want, I can also take over maintainership of xmms in
FE at that point.  The split should be trivial to implement in a backwards
compatible way. 
Comment 7 Matthias Saou 2006-04-06 12:16:39 EDT
Yeah, I know the split is easy, it's just... I really wish people would just let
xmms die a nice death, once and for all :-)
If you're willing to take over maintainership of xmms in Extras, be my guest,
and split out libxmms (maybe as "xmms-libs", which seems more RedHat-ish) too,
as I do agree that having xmms pulled in when not explicitly requested is not a
good thing.
Comment 8 Ville Skyttä 2006-04-06 14:23:22 EDT
Ok, will do, probably for FC5+, need to look into it a bit.  Reassigning;
owners.list updated in CVS.
Comment 9 Matthias Saou 2006-04-07 05:53:10 EDT
Thanks :-)
Comment 10 Ville Skyttä 2006-04-13 09:35:03 EDT
Done in xmms-1.2.10-23.fc[56]

Note You need to log in before you can comment on or make changes to this bug.